Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# ErrorHandlerWriter Class Reference
[Handlers]

Inheritance diagram for ErrorHandlerWriter:

## Detailed Description

Writer implementation of ErrorHandler.

Writes all errors into specified output stream, implemented with Writer interface. Error description includes start/end time of logging and error message.

## Public Member Functions
| ErrorHandlerWriter (Writer *writer)
| Creates ErrorHandler instance.
void | fatalError (const String &msg)
void | error (const String &msg)
void | warning (const String &msg)
## Protected Attributes
Writer * | writer

## Constructor & Destructor Documentation

ErrorHandlerWriter::ErrorHandlerWriter | ( | Writer * | writer | ) |

  | Creates ErrorHandler instance. Parameters:
  | writer | Writer, which is used to output error logs.

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:12 2006 by doxygen 1.4.6.